Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Method_Request_Lookup_No_Copy Class Reference

Lookup command object looks up the event type of the given event in the consumer map and send the event to each proxysupplier. More...

`#include <Method_Request_Lookup.h>`

Inheritance diagram for TAO_Notify_Method_Request_Lookup_No_Copy:

[legend]
Collaboration diagram for TAO_Notify_Method_Request_Lookup_No_Copy:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Method_Request_Lookup_No_Copy (const TAO_Notify_Event *event, TAO_Notify_ProxyConsumer *proxy_consumer)
| Constuctor.
| ~TAO_Notify_Method_Request_Lookup_No_Copy ()
| Destructor.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request.
virtual TAO_Notify_Method_Request * | copy (ACE_ENV_SINGLE_ARG_DECL)
| Create a copy of this object.

## Detailed Description

Lookup command object looks up the event type of the given event in the consumer map and send the event to each proxysupplier.

## Constructor & Destructor Documentation

TAO_Notify_Method_Request_Lookup_No_Copy::TAO_Notify_Method_Request_Lookup_No_Copy | ( | const TAO_Notify_Event * | event,
|  | TAO_Notify_ProxyConsumer * | proxy_consumer
| ) |

| Constuctor.

TAO_Notify_Method_Request_Lookup_No_Copy::~TAO_Notify_Method_Request_Lookup_No_Copy | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_Method_Request * TAO_Notify_Method_Request_Lookup_No_Copy::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create a copy of this object. Implements TAO_Notify_Method_Request_No_Copy.

int TAO_Notify_Method_Request_Lookup_No_Copy::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Implements TAO_Notify_Method_Request_No_Copy.

The documentation for this class was generated from the following files:

- Method_Request_Lookup.h
- Method_Request_Lookup.cpp